Balance Transactions

Balance transactions are created each time money flows into or out of your Vibrant account. They represent all Payouts, Sales and Refunds including fees.

The source field of a transaction holds a link to the charge, refund or payout that is causing the balance transaction.

Balance Transactions are good for accounting as they hold information about all movements to an account. And they hold the fees and payouts as well.

circle-info

Daily revenue

To keep track of 'daily revenue' you do not need to look at balance transactions - we recommend using succeeded Charges and Refunds to get and overview of this. It is possible to fetch this data in custom time intervals that fit the merchants opening/closing hours.

It is also possible to use Balance Transaction to get an overview of money that is not transferred to the merchant account yet.

The Balance Transaction will have status: 'pending' when payment is approved by the bank until the time of payout. So you can see how much money is pending with Vibrant at any time.

When the status has changed to status: 'available' the money has been transferred (a payout) and the BalanceTransaction is reflected on the merchants bank account.

In rare cases like disputes there will also be created BalanceTransactions to keep track of movements that do not follow the ordinary flow.

You can get balance transactions listed by time, fetched by id or search by attributes.

Get a list of balance transactions like this:

curl -X 'GET' \
  'https://pos.dev-api.vibrant.app/pos/v1/balance_transactions' \
  -H 'accept: application/json' \
  -H 'apikey: vibrant_pos.YOUR_SECRET_KEY'

Get a BalanceTransaction by id

get
Authorizations
apikeystringRequired
Path parameters
idstringRequired
Responses
chevron-right
200Success
application/json
idstringRequired

Unique id of the Payout

Default: po_2froTe3Wd8W3aSn1hX4vzE
objectstringRequired

Object type

Default: balance_transaction
accountIdstringRequired

Id of the account

Default: acct_1LqEqnFYPs6vK4Hr
amountnumberRequired

Amount in cents

Default: 2000
available_onnumberRequired

UnixtimeStamp when the balance transaction is available

Default: 1671087901251
creatednumberRequired

UnixtimeStamp when the balance transaction was created

Default: 1671087901251
currencystringRequired

Currency this balance transaction was created with

Default: DKK
descriptionstringRequired

A custom description can be added to a balance transaction

Default:
feenumberRequired

Fee amount in cents

Default: 2000
netnumberRequired

Net amount in cents

Default: 2000
reporting_categorystringRequired

Reporting category

Default:
sourcestringRequired

Source

Default:
statusstringRequired

Status

Default:
typestringRequired

Type

Default:
get
/pos/v1/balance_transactions/{id}

Last updated